<div class="col-lg-12 animated fadeInRight">
    <div class="wrapper wrapper-content animated fadeInRight">
        <div class="row">
            <div class="col-lg-12">
                <div class="ibox float-e-margins">
                    <div class="ibox-title">
                        <h3>
                            <strong>Manage Vehicle Models</strong>
                        </h3>
                        <div class="fm-row float2">
                            <div class="row">
                                <div class="col-sm-4">
                                    <input [(ngModel)]="name" autocomplete="off" (keydown.enter)="getVehicleModel(item.value)" autocomplete="off" name="name" type="text" #item
                                        class="form-control input-sm-3" placeholder="Search For Vehicle Model" />
                                </div>
                                <div class="col-sm-8 text-right">
                                    <button type="get" (click)="getVehicleModel(item.value);" class="btn btn-sm btn-primary blue">
                                        <i aria-hidden="true" class="fa fa-search"></i> Search</button>
                                        <button class="btn btn-sm btn-primary green" (click)="refetchVehicleModel()">
                                            <i aria-hidden="true" class="fa fa-refresh"></i> Refresh</button>
                                    <button class="btn btn-sm btn-primary red" (click)="reset()">
                                        <i aria-hidden="true" class="fa fa-eraser"></i> Reset filters</button>
                                        <ng-container *ngIf="aclAdd">
                                            <button type="submit" class="btn btn-primary btn-sm blue" [routerLink]="['/admin/fleet/vehicle-model/add']">Add new record</button>
                                        </ng-container>
                                </div>
                            </div>
                        </div>
                        <div class="ibox-content">
                            <div class="table-responsive">
                                <table aria-describedby="Manage Company" class="table table-striped table-bordered table-responsive">
                                    <thead>
                                        <tr>
                                          <th scope="col">Vehicle model image</th>
                                            <th scope="col" (click)="sort('name')">Vehicle Model
                                                <span>
                                                    <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='name' }"></i>
                                                    <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='name' }"></i>
                                                </span>
                                            </th>
                                            <th scope="col" (click)="sort('updated_at')">Date
                                                <span>
                                                    <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='updated_at' }"></i>
                                                    <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='updated_at' }"></i>
                                                </span>
                                            </th>
                                            <th scope="col" *ngIf="aclEdit || aclDelete">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <span *ngIf="searchLoader">
                                            <img class="loader-img" src="assets/img/loader.gif" alt="loader"/>
                                        </span>
                                        <tr *ngFor="let vehicleModel of vehicleModelData">
                                          <td><img  class="vehicle-img " [src]= "vehicleModel.vehicle_image? imageUrl + '/uploads/vehiclemodels/' + vehicleModel.vehicle_image: '../../assets/img/vehicle.jpeg'" alt="vehicle img"></td>
                                            <td>{{vehicleModel.name}}</td>
                                            <td>{{vehicleModel.updated_at | date}}</td>
                                            <td *ngIf="aclEdit || aclDelete">
                                                <span *ngIf="aclEdit" matTooltip="Edit">
                                                    <a [routerLink]="['/admin/fleet/vehicle-model/edit', vehicleModel._id]">
                                                        <i aria-hidden="true" class="fa fa-edit text-navy"></i>
                                                    </a>
                                                </span>&nbsp;&nbsp;&nbsp;
                                                <span *ngIf="aclDelete" matTooltip="Delete">
                                                    <a (click)="openDialog(vehicleModel._id)">
                                                        <i aria-hidden="true" class="fa fa-trash text-navy"></i>
                                                    </a>
                                                </span>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <br>

                            <div class="container-fluid" *ngIf="vehicleModelLength>0">
                                <div class="row col-md-12 text-center">
                                    <div class="dataTables_info1">
                                        <div *ngIf="del">
                                            <ngb-pagination [collectionSize]="vehicleModelLength" (pageChange)="pagingAgent($event)" [page]="1" [pageSize]="pageSize"
                                                aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true"></ngb-pagination>
                                        </div>
                                        <div *ngIf="!del">
                                            <ngb-pagination [collectionSize]="vehicleModelLength" (pageChange)="pagingAgent($event)" [page]="1" [pageSize]="pageSize"
                                                aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true"></ngb-pagination>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="container-fluid" *ngIf="vehicleModelLength==0">
                                <div class="row">
                                    <div class="dataTables_info1">
                                        <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                                            No records found.
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
